[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TPROCESS.PipeBufferSize

Buffer size to be used when using pipes

## Declaration

Source position: processbody.inc line 144

`published property TPROCESS.PipeBufferSize : Cardinal read FPipeBufferSize write FPipeBufferSize default 1024;`

## Description

PipeBufferSize indicates the buffer size used when creating pipes (when soUsePipes is specified in Options). This option is not respected on all platforms (currently only Windows uses this).

## See also

#fcl.pipes.CreatePipeHandles |  | Function to create a set of pipe handles